Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger
Class EventRequestModifier.ClassOnly

    java.lang.Object
      com.sun.squawk.debugger.EventRequestModifier
          com.sun.squawk.debugger.EventRequestModifier.ClassOnly

Enclosing class:
  EventRequestModifier

    public static final class EventRequestModifier.ClassOnly

extends EventRequestModifier

For class prepare event, a `ClassOnly` modifier restricts the events generated by this request to be the preparation of the given reference type and any subtypes. For other events, restricts the events generated by this request to those whose location is in the given reference type or any of its subtypes. An event will be generated for any location in a reference type that can be safely cast to the given reference type. This modifier can be used with any event kind except class unload, thread start, and thread end.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.squawk.debugger.EventRequestModifier
`EventRequestModifier.ClassMatch, EventRequestModifier.ClassOnly, EventRequestModifier.Count, EventRequestModifier.ExceptionOnly, EventRequestModifier.LocationOnly, EventRequestModifier.Matcher, EventRequestModifier.Step, EventRequestModifier.ThreadOnly`

Field Summary
`DataType.ReferenceTypeID` | `clazz`
`int` | `eventKind` Match acts differently for different event types.

Constructor Summary
`EventRequestModifier.ClassOnly(PacketInputStream in, int kind)` Creates a ClassOnly modifier.

Method Summary
`boolean` | `matches(EventRequestModifier.Matcher matcher, Debugger.Event event)` Determines if this modifier matches the event currently being processed by an event manager.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### eventKind

    public final int eventKind

  Match acts differently for different event types.

### clazz

    public final DataType.ReferenceTypeID clazz

Constructor Detail

### EventRequestModifier.ClassOnly

    public EventRequestModifier.ClassOnly(PacketInputStream in,
                                          int kind)
                                   throws SDWPException,
                                          IOException

  Creates a ClassOnly modifier.

  Throws:
    `SDWPException`
    `IOException`
  See Also:
    `EventRequestModifier#create`

Method Detail

### matches

    public boolean matches(EventRequestModifier.Matcher matcher,
                           Debugger.Event event)

  Determines if this modifier matches the event currently being processed by an event manager.

  Specified by:
    `matches` in class `EventRequestModifier`
  Returns:
    true if this modifier matches the event

### toString

    public String toString()

  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"